import sqlite3

class RunningDb:
    def __init__(self, dbfile='runninglog.db'):
        self.connection = sqlite3.connect(dbfile)
        self.cursor = self.connection.cursor()
    
    def getMilesPerDay(self, year, month, day):            
        self.cursor.execute('select miles from logs where year = ? and month = ? and day = ?', (year, month, day))
        
        miles = 0
        
        for mile in self.cursor:
            miles = miles + mile[0]
                        
        return miles

    def getMilesPerMonth(self, year, month):
        self.cursor.execute('select miles from logs where year = ? and month = ?', (year, month))

        miles = 0
        
        for mile in self.cursor:
            miles = miles + mile[0]
                        
        return miles
    
    def getMilesLifetime(self):
        self.cursor.execute('select miles from logs')

        miles = 0
        
        for mile in self.cursor:
            miles = miles + mile[0]
                        
        return miles
    
    def getMilesPerYear(self, year):
        self.cursor.execute('select miles from logs where year = ?', (year,))

        miles = 0
        
        for mile in self.cursor:
            miles = miles + mile[0]
                        
        return miles    
    
    def insertMiles(self, year, month, day, miles):
        self.cursor.execute('delete from logs where year = ? and month = ? and day = ?', (year, month, day))
        self.cursor.execute('insert into logs values (?, ?, ?, ?)', (year, month, day, miles))
        self.connection.commit()
    
        
    def shutdown(self):
        self.cursor.close()
        self.connection.close()
